/*
Copyright 2008-2022 Thomas Paviot (tpaviot@gmail.com)

This file is part of pythonOCC.
pythonOCC is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

pythonOCC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with pythonOCC.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef STEPAP214_HXX
#define STEPAP214_HXX


#include<StepAP214.hxx>
#include<StepAP214_AppliedApprovalAssignment.hxx>
#include<StepAP214_AppliedDateAndTimeAssignment.hxx>
#include<StepAP214_AppliedDateAssignment.hxx>
#include<StepAP214_AppliedDocumentReference.hxx>
#include<StepAP214_AppliedExternalIdentificationAssignment.hxx>
#include<StepAP214_AppliedGroupAssignment.hxx>
#include<StepAP214_AppliedOrganizationAssignment.hxx>
#include<StepAP214_AppliedPersonAndOrganizationAssignment.hxx>
#include<StepAP214_AppliedPresentedItem.hxx>
#include<StepAP214_AppliedSecurityClassificationAssignment.hxx>
#include<StepAP214_ApprovalItem.hxx>
#include<StepAP214_Array1OfApprovalItem.hxx>
#include<StepAP214_Array1OfAutoDesignDateAndPersonItem.hxx>
#include<StepAP214_Array1OfAutoDesignDateAndTimeItem.hxx>
#include<StepAP214_Array1OfAutoDesignDatedItem.hxx>
#include<StepAP214_Array1OfAutoDesignGeneralOrgItem.hxx>
#include<StepAP214_Array1OfAutoDesignGroupedItem.hxx>
#include<StepAP214_Array1OfAutoDesignPresentedItemSelect.hxx>
#include<StepAP214_Array1OfAutoDesignReferencingItem.hxx>
#include<StepAP214_Array1OfDateAndTimeItem.hxx>
#include<StepAP214_Array1OfDateItem.hxx>
#include<StepAP214_Array1OfDocumentReferenceItem.hxx>
#include<StepAP214_Array1OfExternalIdentificationItem.hxx>
#include<StepAP214_Array1OfGroupItem.hxx>
#include<StepAP214_Array1OfOrganizationItem.hxx>
#include<StepAP214_Array1OfPersonAndOrganizationItem.hxx>
#include<StepAP214_Array1OfPresentedItemSelect.hxx>
#include<StepAP214_Array1OfSecurityClassificationItem.hxx>
#include<StepAP214_AutoDesignActualDateAndTimeAssignment.hxx>
#include<StepAP214_AutoDesignActualDateAssignment.hxx>
#include<StepAP214_AutoDesignApprovalAssignment.hxx>
#include<StepAP214_AutoDesignDateAndPersonAssignment.hxx>
#include<StepAP214_AutoDesignDateAndPersonItem.hxx>
#include<StepAP214_AutoDesignDateAndTimeItem.hxx>
#include<StepAP214_AutoDesignDatedItem.hxx>
#include<StepAP214_AutoDesignDocumentReference.hxx>
#include<StepAP214_AutoDesignGeneralOrgItem.hxx>
#include<StepAP214_AutoDesignGroupAssignment.hxx>
#include<StepAP214_AutoDesignGroupedItem.hxx>
#include<StepAP214_AutoDesignNominalDateAndTimeAssignment.hxx>
#include<StepAP214_AutoDesignNominalDateAssignment.hxx>
#include<StepAP214_AutoDesignOrganizationAssignment.hxx>
#include<StepAP214_AutoDesignOrganizationItem.hxx>
#include<StepAP214_AutoDesignPersonAndOrganizationAssignment.hxx>
#include<StepAP214_AutoDesignPresentedItem.hxx>
#include<StepAP214_AutoDesignPresentedItemSelect.hxx>
#include<StepAP214_AutoDesignReferencingItem.hxx>
#include<StepAP214_AutoDesignSecurityClassificationAssignment.hxx>
#include<StepAP214_Class.hxx>
#include<StepAP214_DateAndTimeItem.hxx>
#include<StepAP214_DateItem.hxx>
#include<StepAP214_DocumentReferenceItem.hxx>
#include<StepAP214_ExternalIdentificationItem.hxx>
#include<StepAP214_ExternallyDefinedClass.hxx>
#include<StepAP214_ExternallyDefinedGeneralProperty.hxx>
#include<StepAP214_GroupItem.hxx>
#include<StepAP214_HArray1OfApprovalItem.hxx>
#include<StepAP214_HArray1OfAutoDesignDateAndPersonItem.hxx>
#include<StepAP214_HArray1OfAutoDesignDateAndTimeItem.hxx>
#include<StepAP214_HArray1OfAutoDesignDatedItem.hxx>
#include<StepAP214_HArray1OfAutoDesignGeneralOrgItem.hxx>
#include<StepAP214_HArray1OfAutoDesignGroupedItem.hxx>
#include<StepAP214_HArray1OfAutoDesignPresentedItemSelect.hxx>
#include<StepAP214_HArray1OfAutoDesignReferencingItem.hxx>
#include<StepAP214_HArray1OfDateAndTimeItem.hxx>
#include<StepAP214_HArray1OfDateItem.hxx>
#include<StepAP214_HArray1OfDocumentReferenceItem.hxx>
#include<StepAP214_HArray1OfExternalIdentificationItem.hxx>
#include<StepAP214_HArray1OfGroupItem.hxx>
#include<StepAP214_HArray1OfOrganizationItem.hxx>
#include<StepAP214_HArray1OfPersonAndOrganizationItem.hxx>
#include<StepAP214_HArray1OfPresentedItemSelect.hxx>
#include<StepAP214_HArray1OfSecurityClassificationItem.hxx>
#include<StepAP214_OrganizationItem.hxx>
#include<StepAP214_PersonAndOrganizationItem.hxx>
#include<StepAP214_PresentedItemSelect.hxx>
#include<StepAP214_Protocol.hxx>
#include<StepAP214_RepItemGroup.hxx>
#include<StepAP214_SecurityClassificationItem.hxx>

#endif // STEPAP214_HXX
